<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.ruoyi.web.base.mapper.ProcureSettlementGoodsMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.ruoyi.web.base.domain.ProcureSettlementGoods">
        <id column="id" property="id" />
        <result column="settlement_no" property="settlementNo" />
        <result column="settlement_date" property="settlementDate" />
        <result column="receiving_date" property="receivingDate" />
        <result column="slaughter_date" property="slaughterDate" />
        <result column="supplier_num" property="supplierNum" />
        <result column="supplier_name" property="supplierName" />
        <result column="settlement_method" property="settlementMethod" />
        <result column="batch" property="batch" />
        <result column="settlement_num" property="settlementNum" />
        <result column="settlement_weight" property="settlementWeight" />
        <result column="settlement_price" property="settlementPrice" />
        <result column="procurement_add" property="procurementAdd" />
        <result column="procurement_ded" property="procurementDed" />
        <result column="ranch_meat_yield" property="ranchMeatYield" />
        <result column="arrive_meat_yield" property="arriveMeatYield" />
        <result column="estimate_average_level" property="estimateAverageLevel" />
        <result column="white_hair_num" property="whiteHairNum" />
        <result column="black_hair_num" property="blackHairNum" />
        <result column="average_weight" property="averageWeight" />
        <result column="estimate_weight" property="estimateWeight" />
        <result column="shipping_fee" property="shippingFee" />
        <result column="way_die_num" property="wayDieNum" />
        <result column="not_yet_arrived" property="notYetArrived" />
        <result column="unqualified_num" property="unqualifiedNum" />
        <result column="circle_die_num" property="circleDieNum" />
        <result column="entry_deduction" property="entryDeduction" />
        <result column="level_deduction" property="levelDeduction" />
        <result column="weight_deduction" property="weightDeduction" />
        <result column="procurement_deduction" property="procurementDeduction" />
        <result column="other_deduction" property="otherDeduction" />
        <result column="circle_die_pay" property="circleDiePay" />
        <result column="other_pay" property="otherPay" />
        <result column="unpaid_amount" property="unpaidAmount" />
        <result column="pay_amount" property="payAmount" />
        <result column="settlement_amount" property="settlementAmount" />
        <result column="settlement_status" property="settlementStatus" />
        <result column="del_flag" property="delFlag" />
        <result column="create_by" property="createBy" />
        <result column="create_time" property="createTime" />
        <result column="update_by" property="updateBy" />
        <result column="update_time" property="updateTime" />
        <result column="remark" property="remark" />
        <result column="org_id" property="orgId" />
    </resultMap>

</mapper>
